Summary: Utilities for configuring an ISDN subsystem.
Name: isdn4k-utils
Version: 3.1
Release: 22
Copyright: GPL
Group: Applications/System
Source0: ftp://ftp.isdn4linux.de/pub/isdn4linux/utils/testing/isdn4k-utils.v3.1beta7.tar.gz
Patch0: isdn4k-utils.patch
Patch1: isdn4k-utils-ipppd.patch
BuildRoot: /var/tmp/%name-root
Requires: initscripts >= 4.93
Prereq: /sbin/chkconfig

%description
The isdn4k-utils package contains a collection of utilities needed for
configuring an ISDN subsystem.

%package -n xisdnload
Version: 1.38
Summary: An ISDN connection load average display for the X Window System.
Group: Applications/System
Requires: isdn4k-utils

%description -n xisdnload
The xisdnload utility displays a periodically updated histogram of the
load average over your ISDN connection.

%prep
%setup -q -n isdn4k-utils
%patch0
%patch1
cd capi20
libtoolize --copy --force
test -f /usr/include/capi20.h || cp capi20.h /usr/include/capi20.h
cd ..


%build
cp .config.rpm .config
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" subconfig
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/{ppp,isdn}
mkdir -p $RPM_BUILD_ROOT/var/{log/vbox,spool/vbox,lock/isdn}
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,X11R6/bin}
chmod 1777 $RPM_BUILD_ROOT/var/spool/vbox
make install DESTDIR=$RPM_BUILD_ROOT

mv -fv $RPM_BUILD_ROOT/usr/bin/x* $RPM_BUILD_ROOT/usr/X11R6/bin/
mv -fv $RPM_BUILD_ROOT/usr/man/man1/x* $RPM_BUILD_ROOT/usr/X11R6/man/man1/

touch $RPM_BUILD_ROOT/etc/ppp/ioptions

test -f $RPM_BUILD_ROOT/etc/isdn/isdn.conf.new && \
	mv -f $RPM_BUILD_ROOT/etc/isdn/isdn.conf.new $RPM_BUILD_ROOT/etc/isdn/isdn.conf

strip $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/sbin/* \
	$RPM_BUILD_ROOT/usr/X11R6/bin/*  || :

# build some more documentation
pushd FAQ/tutorial ; {
    sgml2txt EN-i4l.sgml
    sgml2html EN-i4l.sgml
} ; popd

chmod 0755 $RPM_BUILD_ROOT/usr/bin/vboxbeep

%post
test -f /dev/isdnctrl || ln -sf isdnctrl0 /dev/isdnctrl

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir /etc/isdn
%dir /var/spool/vbox
%dir /var/log/vbox
%verify(not md5 size mtime) %config(noreplace) /etc/isdn/*
/etc/ppp/ioptions
/usr/bin/*
/usr/include/*
/usr/lib/*.a
/usr/lib/*.so.*
/usr/man/man?/*
/usr/sbin/*
%doc COPYING HOWTO README
%lang(de) %doc vbox/doc/de/vbox.sgml vbox/doc/de/vbox.txt
%doc FAQ/tutorial/EN-i4l*  FAQ/i4lfaq* Mini-FAQ/* FAQ/_howto/* FAQ/_example/*
#%lang(de) %doc FAQ/out/de-i4l-faq.asc FAQ/out/de-i4l-faq.html
%doc FAQ/_howto FAQ/_example FAQ/tutorial/*.txt FAQ/tutorial/*.html

%files -n xisdnload
%defattr(-,root,root)
/usr/X11R6/bin/xisdnload
%attr(0755,root,root) /usr/X11R6/bin/xmonisdn
/usr/X11R6/lib/X11/app-defaults/*
/usr/X11R6/man/man1/*
/usr/X11R6/include/X11/bitmaps/*
%doc xmonisdn/README

%changelog
* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Tue Feb 29 2000 Ngo Than <than@redhat.de>
- move isdn.init in isdn4k-utils package to isdn-config package

* Mon Feb 21 2000 Ngo Than <than@redhat.de>
- added small to fix problem for startup and shuttdown isdn

* Wed Feb 16 2000 Ngo Than <than@redhat.com>
- added small patch for ipppd, it can handle default route

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- remove execute bit from /etc/ppp/ioptions
- do not create /dev/isdnctrl if it already exists

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- remove suid-root from /usr/bin/vboxbeep

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- use relative instead of absolute link in postinstall script
- use only one patch-file for the config file
- change from 0700 to 0755 perms
- change Makefiles instead of moving things around in the spec file
- include the manpages of the X11 progs only in the xisdnload rpm

* Tue Feb 03 2000 Ngo Than <than@redhat.de>
- fix pap and chap problem in isdn.init

* Tue Feb 01 2000 Ngo Than <than@redhat.de>
- added new isdn.init for rhisdn.

* Mon Jan 17 2000 Karsten Hopp <karsten@redhat.de>
- uses now configured network and netmask

* Thu Jan 06 2000 Karsten Hopp <karsten@redhat.de>
- Configures DNS if no nameserver entry in resolv.conf
- needed for dial-on-demand

* Mon Jan 03 2000 Karsten Hopp <karsten@redhat.de>
- isdnconfig  moved into separate spec-file

* Tue Dec 21 1999 Karsten Hopp <karsten@redhat.de>
- updated isdn4k-utils
- several bugfixes isdnconfig

* Thu Sep 30 1999 Karsten Hopp <karsten@redhat.de>
- added isdnconfig script and related files

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- bang on init script

* Mon Sep 20 1999 Cristian Gafton <gafton@redhat.com>
- fix dangling symlink

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries
- chkconfig --del in %preun, not %postun

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- fix some of the german exclusive language in the init script

* Sun Aug 29 1999 Cristian Gafton <gafton@redhat.com>
- imported into Red Hat Linux
